﻿
.hover-hand {
    cursor: pointer;
}

#mainCategoryMenuContainer {
    background: linear-gradient( 135deg, #1b2533, #263144 ); /* اختياري */
    color: #fff;
    border-radius: 12px;
}

#mainCategoryMenuTitle {
    display: flex;
    align-items: center;
    gap: 12px;
    width: 100%;
    padding: 10px 14px;
    color: #fff;
    text-decoration: none;
    border-radius: 8px;
    font-size: 16px;
    min-width: 22px;
    padding: 10px;
}

.side-menu {
    display: flex;
    flex-direction: column;
    gap: 10px;
    background: #1b2533; /* اختياري */
    padding: 10px;
}

.side-menu-item {
    display: flex;
    align-items: center;
    gap: 12px;
    width: 100%;
    padding: 10px 14px;
    color: #fff;
    font-size: 12px;
    text-decoration: none;
    border-radius: 8px;
    transition: background .25s ease, color .25s ease;
}

    /* Lucide SVG */
    .side-menu-item svg {
        width: 18px;
        height: 18px;
        stroke: var(--primary-base1);
        transition: stroke .25s ease;
    }

    .side-menu-item span {
        font-size: 13px;
    }

    /* Hover */
    .side-menu-item:hover {
        background: rgba(255, 255, 255, 0.1);
    }

        .side-menu-item:hover svg {
            stroke: var(--primary-base1);
        }

    /* Active */
    .side-menu-item.is-active {
        background: var(--primary-base1);
        color: var(--white-base);
        font-weight: 600;
    }

        .side-menu-item.is-active svg {
            stroke: var(--white-base) !important;
        }

/*product aside search */
#searchSideContainer {
    background: #1b2533; /* اختياري */
    color: #fff;
    border-radius: 12px;
}

#mainTitle {
    color: var(--primary-base1);
    padding: 10px 14px;
}

#searchSideTitle {
    display: flex;
    align-items: center;
    gap: 12px;
    width: 100%;
    padding: 10px 14px;
    color: var(--primary-base1);
    text-decoration: none;
    border-radius: 8px;
    font-size: 18px;
    min-width: 22px;
    padding: 10px;
}

.side-btn {
    width: 100%;
    margin-bottom: 8px;
    padding: 8px;
}

.side-select {
    background-color: var(--panel-bg) !important;
    border-color: var(--black-border) !important;
    color: var(--neutral-gray-base) !important;
    width: 100%;
    padding: 8px;
}

.btn-fast-sideMenu.active {
    background: var(--primary-base1) !important;
    color: var(--white-base) !important;
    font-weight: 600 !important;
}
